> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Schedule Bulk Payout



## OpenAPI

````yaml openapi.json post /payout/bulk/schedule/upload
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /payout/bulk/schedule/upload:
    parameters: []
    post:
      tags:
        - Payout
        - Schedule Bulk Payout
      summary: Upload Schedule Bulk Payout
      parameters: []
      requestBody:
        content:
          application/json:
            schema: {}
            example:
              batchFile: file-upload.png
              name: Checking Balance
              scheduleDate: '2024-11-14T16:55:15.000Z'
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '310'
            ETag:
              schema:
                type: string
              example: W/"136-l054OGa730eBT9H1wshjh4nXYwM"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Wed, 13 Nov 2024 12:26:42 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Upload Schedule Bulk Payout - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      status:
                        type: string
                      scheduleDate:
                        type: string
                        format: date-time
                      batchReference:
                        type: string
                      uploadedFile:
                        type: string
                        format: uri
              example:
                status: true
                message: Operation running in the background.
                data:
                  id: fd2acdcf-b5bf-49e1-afa4-181a1a8312ee
                  name: Testing
                  status: UPLOADING
                  scheduleDate: '2024-11-13T14:00:15.851Z'
                  batchReference: wFQXhT0zATlwfqRh6NTUGHnltUvcVsuLtM3Y
                  uploadedFile: >-
                    https://d1hhqx6q67lhms.cloudfront.net/fLS3YGJqqwQBmaGAPzTQZhJ4m_bulk-payout-5.csv
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````